PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_slacpy | ( | PLASMA_enum | uplo,
|  | int | M,
|  | int | N,
|  | const float * | A,
|  | int | LDA,
|  | float * | B,
|  | int | LDB
| ) |  |

CORE_slacpy copies all or part of a two-dimensional matrix A to another matrix B

Parameters

  [in] | uplo | Specifies the part of the matrix A to be copied to B. = PlasmaUpperLower: All the matrix A = PlasmaUpper: Upper triangular part = PlasmaLower: Lower triangular part
  [in] | M | The number of rows of the matrices A and B. M >= 0.
  [in] | N | The number of columns of the matrices A and B. N >= 0.
  [in] | A | The M-by-N matrix to copy.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).
  [out] | B | The M-by-N copy of the matrix A. On exit, B = A ONLY in the locations specified by uplo.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,M).